#include <RCPulseIn.h>
#include <EnableInterrupt.h>

void setup() {
  // setup Serial communication, for the Arduino console.
  Serial.begin(9600);

  Serial.println("in ascending, out ascending");
  for(int in=-20; in<=20; in++){
    int out = deadbandMap(in,-10,6,10,0,50,100);
    Serial.println(out);
  }

  Serial.println("in descending, out ascending");
  for(int in=-20; in<=20; in++){
    int out = deadbandMap(in,10,6,-10,0,50,100);
    Serial.println(out);
  }

  Serial.println("in ascending, out descending");
  for(int in=-20; in<=20; in++){
    int out = deadbandMap(in,-10,6,10,100,50,0);
    Serial.println(out);
  }

  Serial.println("in descending, out descending");
  for(int in=-20; in<=20; in++){
    int out = deadbandMap(in,10,6,-10,100,50,0);
    Serial.println(out);
  }
}

void loop() {


}
